/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */


/* GALLERY AND BODY CONTENTS */

        @font-face {
            font-family: "Matemasie-Regular"
                src: url('https://firebaseripcord.neocities.org/fonts/Matemasie-Regular.ttf') format("truetype") font-weight: regular;
        }

        @font-face {
            font-family: "Archivo-Regular";
            src: url('https://firebaseripcord.neocities.org/fonts/Archivo-Regular.ttf') format("truetype");
            font-weight: regular;
            /* regular */
        }

        @font-face {
            font-family: "Archivo-Italic";
            src: url('https://firebaseripcord.neocities.org/fonts/Archivo-Italic.ttf') format("truetype");
            font-weight: italic;
            /* italic */
        }
        @font-face {
            font-family: "GravitasOne-Regular";
            src: url('https://firebaseripcord.neocities.org/fonts/GravitasOne-Regular.ttf') format("truetype");
            font-weight: regular;
            /* regular */
        }
@font-face {
            font-family: "HeadlandOne-Regular";
            src: url('https://firebaseripcord.neocities.org/fonts/HeadlandOne-Regular.ttf') format("truetype");
            font-weight: regular;
            /* regular */
        }
@font-face {
            font-family: "Boldonse-Regular";
            src: url('https://firebaseripcord.neocities.org/fonts/Boldonse-Regular.ttf') format("truetype");
            font-weight: regular;
            /* regular */
        }


        .html {
            margin: 0;
            padding: 10vw;
            
            
        }

body {

overflow-x: hidden;

}


        .fancy {
                        font-size: 10vw;

  position: relative;
  white-space: nowrap;
  &:after {
    --deco-height: 0.3125em;
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: calc(var(--deco-height) * -0.625);
    height: var(--deco-height);
    background-image: url("data:image/svg+xml,%3Csvg width='100' height='64' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cg clip-path='url(%23a)'%3E%3Cpath d='M-17 30.5C-1 22 72-4 54 13 37.9 28.2-2.5 57.5 16 55.5s72-29 104-40' stroke='%2300FDCF' stroke-width='10'/%3E%3C/g%3E%3Cdefs%3E%3CclipPath id='a'%3E%3Cpath fill='%23fff' d='M0 0h100v64H0z'/%3E%3C/clipPath%3E%3C/defs%3E%3C/svg%3E%0A");
    background-size: auto 100%;
    background-repeat: round;
    background-position: 0em;
      z-index: 99;
                  overflow: clip;

     
  }
}
        .gradientlink {
            mix-blend-mode: difference;
        }
        .bigtext {
            margin: 0;
            height: fit-content;
 padding-left: 6VW;
 padding-right: 70px;
  z-index: -1000;
            font-family: "HeadlandOne-Regular";
}



/* Even if JavaScript isn't available, the web component will be a useful container */
container-fill-text {
  display: block;
  container-type: inline-size;
}
         .header-protect {
                    height: 0px;
                    width: 100%;
                    padding-top: 1vh;
                }
        .mammadiv {
            margin-top: 0;
            padding-top: 0;
        }
         @media (max-width: 1900px) {
                 
                       

        }
             
            
        @media (max-width: 800px) {
        
                }
        }
        @media (max-width: 650px) {
        .mammadiv {
            font-family: "Archivo-Regular";
            margin-top: 0;
        }

            
        
       
            .galleryhouse IMG {
                    width: 400px;
                    max-width: 100%;
                }

                .header__content {
                    flex-direction: column;
                    align-items: center;
                    padding-left: 0px;
                    top: 0;
                    row-gap: 5px;

                }

                .header-protect {
                    height: 120px;
                    width: 100%;
                    padding-top: 1vh;

                }
            .mammadiv {
                padding-top: 6vw;
            }
            
        }
        
.hero {
    font-size: 60px;
    align-content: center;
    text-align: center;
    height: 100vh;
    font-family: "Boldonse-Regular";
    border-color: red;
    border-width: 10px;
    
    
    .herotitle {
    font-size: 20vw;
        padding: 0;
        margin: 0;
        line-height: 1.3em;
        text-shadow: 0px 4px 3px rgba(0,0,0,0.4),
             0px 8px 13px rgba(0,0,0,0.1),
             0px 18px 23px rgba(0,0,0,0.1);
    
    }
    .heroat{
         font-size: 4vw;
        line-height: 1.3em;
    }
    
    .sidekick {
      font-size: 7vw;
        line-height: 1.3em;
    }
  }
  
  nav {
      font-family: "Archivo-Regular";
       z-index: 100;
    position: sticky;
    top: 0;
      margin: 0;
      padding: 2vw;
        max-height: 100px;
       overflow: hidden; /* Content beyond the container will be hidden */
      

    
    ul {
      width: 100%;
       text-align: center;
        margin: 0;
      padding: 0;
      
      li {
        display: inline-block;
        list-style: none;
        margin: 10px;
        font-size: 1.3em;
        
        }
      }
    }
  















body {
    background-color: #dafd54;
    color: #3d3a4b;
    transition: background-color 0.3s, color 0.3s;
}

.gradient-link{
background:linear-gradient(
90deg,
#00ffff,
#ea5aff,
#6366f1,
#1fffc8
);

background-size:200% auto;

background-clip:text;
-webkit-background-clip:text;
color:transparent;

animation:gradientFlow 4s linear infinite;
 

}

@keyframes gradientFlow{
0%{background-position:0% center;}
100%{background-position:200% center;}
}

.gradient-link:hover{
background:linear-gradient(
90deg,
#00ffff,
#f33c3a,
#6366f1,
#1fffc8   
);

background-size:200% auto;

background-clip:text;
-webkit-background-clip:text;
color:transparent;

animation:gradientFlowHover 2s linear infinite;
}

@keyframes gradientFlowHover{
0%{background-position:0% center;}
100%{background-position:200% center;}
}

.gradient-link:active{

background-clip:text;
-webkit-background-clip:text;
color:transparent;

animation:gradientRush .6s linear;
}

@keyframes gradientRush{
0%{background-position:-200% center;}
100%{background-position:200% center;}
}
    



/* Hide default checkbox */
.toggle-switch input {
    display: none;
}



/* The circular button inside the switch */
        .fart {
            content: URL("https://firebaseripcord.neocities.org/icons%20and%20buttons%20/moon.svg");
            cursor: pointer;
            transition: 0.5s;
            width: 40px;
            max-width: 8vw;
            filter: brightness(0) saturate(100%) invert(12%) sepia(81%) saturate(7460%) hue-rotate(269deg) brightness(91%) contrast(127%);
        }
.dark-mode .fart {
                filter: brightness(0) saturate(100%) invert(92%) sepia(75%) saturate(2882%) hue-rotate(107deg) brightness(99%) contrast(104%);


}

        .fart:hover {
            transition: 0.5s;
            width: 35px;

        }
.fart::before {
    position: absolute;
}


/* Dark Mode Styles */
.dark-mode {
    background-color: #3d3a4b;
    color: #ffffff;
}
.dark-mode container-fill-text {
 color: #dafd54;
}

.dark-mode .fancy {
    color: #dafd54;
}

/* Change toggle switch color in dark mode */
.dark-mode .fart {
            content: URL("https://firebaseripcord.neocities.org/icons%20and%20buttons%20/sun.svg");
             width: 32px;
 padding: 3px;

}
.dark-mode .fart:hover {
            content: URL("https://firebaseripcord.neocities.org/icons%20and%20buttons%20/sun.svg");
             transition: 0.5s;            
 width: 29px;

}

/* OTHER SHIT STARTS HERE */


        .mammadiv {
            padding: 6vw;
            font-family: "Archivo-Regular";
                        

        }

        .centergallery {
            display: inline;
        }

        .galleryhouse {
            display: inline;
        }
.galleryhouse a{
    text-decoration: none;
}
        .galleryhouse IMG:hover {
            transform: scale(.975);
            z-index: -100;
        }

#categories {
            font-weight: bold;
        }

        .lightbox {
            /* Default to hidden */
            display: none;

            /* Overlay entire screen */
            position: fixed;
            z-index: 2000;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;

            /* A bit of padding around image */
            padding: 1em;

            /* Translucent background */

        }

        /* Unhide the lightbox when it's the target */
        .lightbox:target {
            display: block;
            background: rgba(100, 100, 100, 0.6);
        }
        
        
        .dark-mode .lightbox:target {
            display: block;
            background: rgba(100, 100, 100, 0.6);
        }

        th .lightbox IMG:hover {
            transform: scale(.975);
        }

        .lightbox span {
            /* Full width and height */
            display: block;
            width: 100%;
            height: 100%;

            /* Size and position background image */
            background-position: center;
            background-repeat: no-repeat;
            background-size: contain;
        }

        .headerbox {
            margin: auto;
            Width: auto;
            border: none;
            padding-top: 5rem;
        }



        .descriptionbox {
            text-align: left;
            margin: auto;
            Width: auto;
            border: none;
            padding-bottom: 5%;
            font-size: 1rem;
        }



        /* FOOTER CONTENTS */

        .stickyfooter {
            position: fixed;
            left: 0;
            bottom: 0;
            width: 100%;
            text-align: center;
            justify-items: center;
            z-index: 300;
        }

        #visiblefooteritems {
            height: 1.5em;
            width: auto;
            opacity: 0.5;
        }
        
                    @media (max-width: 650px) {
                      #visiblefooteritems {
                        max-height: 5vw;
                        width: auto;
                      }
}
#visiblefooteritems:hover {
            height: 1.5em;
            width: auto;
    opacity: 1;
        }


        .hidden-text {
            padding: 20px;
            width: 100%;
            opacity: 0;
            transition: 0.3s;
        }

        .hidden-text:hover {
            float: left;
            width: 100%;
            opacity: 1;
            padding-bottom: 10px;
        }

        #hiddenfooteritems {
            max-height: 10vw;
            padding: 5px;
        }

        #hiddenfooteritems:hover {
            max-height: 10vw;
            transform: scale(0.975);
            padding: 5px;

        }

        /* LINK BEHAVIOUR AND BUTTON FLAVOUR */

        

       
        .lime IMG{
            width: 50px;
            padding: 2vw;
             position: fixed;
            z-index:101;
            filter: brightness(0) saturate(100%) invert(12%) sepia(81%) saturate(7460%) hue-rotate(269deg) brightness(91%) contrast(127%);
            transition: 0.5s;
            overflow: clip;

}

    .lime IMG:Hover {
                transform: scale(.975);


}

        
        .dark-mode .lime IMG{
            filter: brightness(0) saturate(100%) invert(92%) sepia(75%) saturate(2882%) hue-rotate(107deg) brightness(99%) contrast(104%);

        }



        #logo {
            width: 40px;
            max-width: 8vw;
            filter: brightness(0) saturate(100%) invert(12%) sepia(81%) saturate(7460%) hue-rotate(269deg) brightness(91%) contrast(127%);
            transition: 0.5s;
       
}
.dark-mode #logo {
                filter: brightness(0) saturate(100%) invert(92%) sepia(75%) saturate(2882%) hue-rotate(107deg) brightness(99%) contrast(104%);


}
        #logo:hover {
            content: URL("https://firebaseripcord.neocities.org/icons%20and%20buttons%20/tumblr.svg");
            transition: 0.5s;
            width: 35px;
        }

        h1 {
            font-size: 4rem;
            padding: 0;
            margin: 0px;
        }

        h2 {
            font-size: 1.5rem;
            padding: 0px;
            margin: 0px;
        }


      

        #myBtn {
            display: none;
            /* Hidden by default */
            position: fixed;
            bottom: 60px;
            right: 20px;
            border: none;
   
            font-size: 30px;
            height: 50px;
            width: 50px;
            
            cursor: pointer;
            z-index: 700;
            
            
background:linear-gradient(
90deg,
#00ffff,
#ea5aff,
#6366f1,
#1fffc8
);

background-size:200% auto;

background-clip:text;
-webkit-background-clip:text;
color:transparent;

animation:gradientFlow 4s linear infinite;
 

}

@keyframes gradientFlow{
0%{background-position:0% center;}
100%{background-position:200% center;}
}
        

        #myBtn:hover {
            background:linear-gradient(
90deg,
#00ffff,
#f33c3a,
#6366f1,
#1fffc8  
);

background-size:200% auto;

background-clip:text;
-webkit-background-clip:text;
color:transparent;

animation:gradientFlowHover 2s linear infinite;
}

@keyframes gradientFlowHover{
0%{background-position:0% center;}
100%{background-position:200% center;}
}

.gradient-link:active{

background-clip:text;
-webkit-background-clip:text;
color:transparent;

animation:gradientRush .6s linear;
}

@keyframes gradientRush{
0%{background-position:-200% center;}
100%{background-position:200% center;}
}
        }

        /*** Works on common browsers ***/
        ::selection {
            background-color: #FFCE00;
            color: #fff;
        }

        /*** Mozilla based browsers ***/
        ::-moz-selection {
            background-color: #FFCE00;
            color: #fff;
        }

        /***For Other Browsers ***/
        ::-o-selection {
            background-color: #FFCE00;
            color: #fff;
        }

        ::-ms-selection {
            background-color: #FFCE00;
            color: #fff;
        }

        /*** For Webkit ***/
        ::-webkit-selection {
            background-color: #FFCE00;
            color: #fff;
        }

        .flavimg {
            float: right;
            width: 20rem;
            height: auto;
            padding: 10px;

        }

        /* NORMAL STYLES */
        .header {
            position: fixed;
            width: 100%;
            padding: vw;
            padding-top: 5vh;
            z-index: 5;

        }

        .header-protect {
            height: 10vh;
            width: 100%;
            padding-top: 1vh;

        }

        

        .header__content {
            display: flex;
            align-items: center;
            justify-content: space-between;
            min-height: 60px;
            max-width: 1700px;
            padding: 0 30px;
            margin: 0 auto;
            font-family: "Archivo-Regular";
            padding-left: 6vw;
            padding-right: 6vw;

        }



        .logo__img {
            display: block;
        }

    

        .nav__list {
            display: flex;
            column-gap: 40px;
        }




        /* MEDIA QUERIES */
        @media (max-width: 2000px) {
            .galleryhouse IMG {
                width: 200px;
                max-width: 100%;
            }
          
        }            .nav {
                    padding: 30px;
                    padding-top: 15px;
                    font-size: 20px;
                }
                  }
                  
                  
                  
                  @media (max-width: 1900px) {
                .galleryhouse IMG {
                    width: 230px;
                    max-width: 100%;
                }
                      
          
            }
            
             
          

            @media (max-width: 800px) {
                .galleryhouse IMG {
                    width: 300px;
                    max-width: 100%;
                }
                .fancy {
                        font-size: 15vw;
                    padding-top: 10000vw;
                      }
            }

            @media (max-width: 650px) {
                .hero {
    height: 30vh;
 
                    
                }
                .lime IMG{
            display: none;

}
                    fancy {
                        font-size: 20em;
                    padding-top: 10000vw;
                      }
            }

             
                .galleryhouse IMG {
                    width: 400px;
                    max-width: 100%;
                }

                .header__content {
                    flex-direction: column;
                    align-items: center;
                    padding-left: 0px;
                    top: 0;
                    row-gap: 5px;

                }

                .header-protect {
                    height: 120px;
                    width: 100%;
                    padding-top: 1vh;

                }

                .header {
                    padding-top: 10px;
                    position: fixed;
                 z-index: 1000;
                }

                .nav__list {
                    column-gap: 20px;
                }

                .nav {
                    padding: px;
                    padding-top: 15px;
                    font-size: 5.3vw;
                }
                
            
        
        .thumbnail IMG{
            border-radius: 20px;
            cursor: zoom-in;
            transition: all 0.5s ease;
        }
        
            .thumbnail:hover IMG{
              transition: 0.5s;
              rotate: (2deg);
    box-shadow: 0 0 15px #646cff50;
                
            }
            